Skip to main content
POST

Path Parameters

string
required
The unique identifier of the assistant to invoke.
Use agent_id when you want repeatable behavior without re-specifying name, instructions, tools, or the tool config each call.
When you invoke an assistant_id and override a specific configuration (for example, updating only the requirements), the assistant uses your updated value for that field, while all other settings (such as name, description, and budget) are still taken from the assistant_id.

Request Body

object[]
required
A list of message objects. Each object must include a role and content.
string
required
The role of the message sender.
Supported values: assistant, user.
string
required
The content of the message.
object
Reserved for specifying structured output format.
string[]
Specify which extra fields should be included in the output. If not provided, none of these fields will be included. Supported values:
  • data_sources — Includes the data_sources field in the output.
  • requirements_result — Includes detailed results for each requirement in the requirements_result field.